
import 'dart:async';

import 'package:flutter/services.dart';

class CuidaiPlugin {
  static const MethodChannel _channel =
  const MethodChannel('final_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static void initSDK() async {
    try {
      await _channel.invokeMethod('initSDK');
    } on PlatformException catch (e) {
      print(e.message);
    }
  }

  static void open() async {
    try {
      await _channel.invokeMethod('openChat');
    } on PlatformException catch (e) {
      print(e.message);
    }
  }

}
